## libcoap 4.1.2~rc+git20160626

=== debian/changelog ===
libcoap (4.1.2~rc+git20160626-1) unstable; urgency=medium

  * [75895a4] Imported Upstream version 4.1.2~rc+git20160626
  * [82db37a] debian/control: increase Standards-version to 3.9.8
  * [8aaac45] debian/rules: enabling hardening wrapper
  * [b0739f6] remove HTML documentation installation into -dev pkg
  * [83b2728] add new libcoap-1-0-doc package
  * [07221dd] lintian: fixup embedded-javascript-library in libcoap-1-0-doc
  * [354addc] rebuild patch queue from patchqueue branch
  * [eb073a3] libcoap-1-0-doc: adjust the Recommends on the -dev package
  * [60dad2a] adding a symbols files for libcoap-1-0
  * [dcbfe8e] debian/copyright: update copyright information
  * [c5575bb] debian/control: adjusting maintainers and Vcs resources

 -- Carsten Schoenert <c.schoenert@t-online.de>  Wed, 29 Jun 2016 22:52:25 +0200

libcoap (4.1.2~rc+git20160129-1) experimental; urgency=medium

  * [505420f] debian/gbp.conf: enable now pristine-tar branch
  * [e075b21] Imported Upstream version 4.1.2~rc+git20160129
  * [f9d2e0a] create a patch queue from patchqueue branch
  * [3631a53] fill date into prepared manpage *.txt files for a2x
  * [81400ee] d/copyright: remove not used file entry for t_list.h
  * [058524d] d/watch: adding a watch which looks at GitHub
  * [6da7671] adding the html based library documentation to *-dev package
  * [3dc0496] d/tests: adding first bunch of autopkg tests
  * [d31f26d] debian/control: fix small typo on libcoap-1-0-bin long desc

 -- Carsten Schoenert <c.schoenert@t-online.de>  Sun, 10 Apr 2016 10:46:50 +0200

libcoap (4.1.2~rc+git20150706-1) experimental; urgency=medium

  [ Carsten Schoenert ]
  * [f0f5068] Imported Upstream version 4.1.2~rc+git20150706

 -- Carsten Schoenert <c.schoenert@t-online.de>  Mon, 06 Jul 2015 16:04:32 +0200

libcoap (4.1.2~rc+git20150622-1) experimental; urgency=medium

  [ Carsten Schoenert ]
  * [3a54aeb] Imported Upstream version 4.1.2~rc+git20150622

 -- Carsten Schoenert <c.schoenert@t-online.de>  Mon, 22 Jun 2015 18:50:40 +0200

libcoap (4.1.2~rc+git20150621-1) experimental; urgency=medium

  [ Carsten Schoenert ]
  * Initial release (Closes: #774928)
  * [fd6ea09] Imported Upstream version 4.1.2~rc+git20150621

 -- Carsten Schoenert <c.schoenert@t-online.de>  Sun, 21 Jun 2015 17:36:34 +0200
