=== debian/tests/control ===
Tests: tests.sh
Depends: libcoap-1-0-bin,
Restrictions: allow-stderr
