## libcoap 4.1.2

=== debian/changelog ===
libcoap (4.1.2-1) unstable; urgency=medium

  * [0cf302f] New upstream version 4.1.2
  * [0173a50] rebuild patch queue from patchqueue branch

 -- Carsten Schoenert <c.schoenert@t-online.de>  Sun, 05 Feb 2017 16:57:44 +0100

libcoap (4.1.2~rc+git20161120-7) unstable; urgency=medium

  * [952c06c] debian/control: adding dependency to *-dev package

 -- Carsten Schoenert <c.schoenert@t-online.de>  Mon, 16 Jan 2017 19:42:32 +0100

libcoap (4.1.2~rc+git20161120-6) unstable; urgency=medium

  * [66b8361] autopkg: adding gcc to the needed packages
    (hopefully autopkgtests will now work)

 -- Carsten Schoenert <c.schoenert@t-online.de>  Sun, 15 Jan 2017 11:55:23 +0100

libcoap (4.1.2~rc+git20161120-5) unstable; urgency=medium

  * [08d93f1] travis: add .travis.yml from http://travis.debian.net.
  * [443f91b] travis: adding option to ignore travis service file
  * [dbb64c6] autopkgtests: move package dependencies into d/t/control
  * [6b97b00] tests.sh: improve script output

 -- Carsten Schoenert <c.schoenert@t-online.de>  Sat, 14 Jan 2017 12:28:18 +0100

libcoap (4.1.2~rc+git20161120-4) unstable; urgency=medium

  * [47b1f43] debian/control: adding new missed B-D on pkg-config
              (Closes: #845522)
  * [9eeea4e] debhelper: bumping version to debhelper 10
  * [0b6d86a] autopkg: don't print messages on stderr

 -- Carsten Schoenert <c.schoenert@t-online.de>  Thu, 24 Nov 2016 18:51:16 +0100

libcoap (4.1.2~rc+git20161120-3) unstable; urgency=medium

  * [99d18f6] rebuild patch queue from patchqueue branch
              - fixup of the previous added patch, the configure script itself
                needs to be updated as well

 -- Carsten Schoenert <c.schoenert@t-online.de>  Wed, 23 Nov 2016 20:20:11 +0100

libcoap (4.1.2~rc+git20161120-2) unstable; urgency=medium

  * [67d9af7] rebuild patch queue from patchqueue branch
              - adding kFreeBSD to the platform detection within configure.ac
                (Closes: #829623)

 -- Carsten Schoenert <c.schoenert@t-online.de>  Wed, 23 Nov 2016 19:50:48 +0100

libcoap (4.1.2~rc+git20161120-1) unstable; urgency=medium

  * [7c39e8e] debian/control: Update of the project homepage
  * [5af4d0a] Multi-Arch: Adding control suggested control fields
  * [ce03614] New upstream version 4.1.2~rc+git20161120

 -- Carsten Schoenert <c.schoenert@t-online.de>  Sun, 20 Nov 2016 11:32:56 +0100
