=== debian/control ===
--- 
+++ 
@@ -2,21 +2,27 @@
 Section: libs
 Priority: optional
 Maintainer: Debian IoT Maintainers <debian-iot-maintainers@lists.alioth.debian.org>
-Uploaders: Carsten Schoenert <c.schoenert@t-online.de>
-Build-Depends: asciidoc,
-  debhelper (>= 9.0.0),
-  exuberant-ctags,
-  doxygen,
-  graphviz,
-  xmlto
+Uploaders:
+ Carsten Schoenert <c.schoenert@t-online.de>,
+Build-Depends:
+ asciidoc,
+ debhelper (>= 10.2.2~),
+ doxygen,
+ exuberant-ctags,
+ graphviz,
+ pkg-config,
+ xmlto,
 Standards-Version: 3.9.8
-Homepage: http://sourceforge.net/projects/libcoap/
+Homepage: https://libcoap.net/
 Vcs-Browser: https://anonscm.debian.org/cgit/debian-iot/libcoap.git
 Vcs-Git: https://anonscm.debian.org/git/debian-iot/libcoap.git
 
 Package: libcoap-1-0
 Architecture: any
-Depends: ${misc:Depends}, ${shlibs:Depends}
+Multi-Arch: same
+Depends:
+ ${misc:Depends},
+ ${shlibs:Depends},
 Description: C-Implementation of CoAP
  Lightweight application-protocol for devices that are constrained their
  resources such as computing power, RF range, memory, bandwidth, or network
@@ -25,8 +31,10 @@
 
 Package: libcoap-1-0-bin
 Architecture: any
-Depends: ${misc:Depends}, ${shlibs:Depends},
-  libcoap-1-0 (= ${binary:Version})
+Depends:
+ libcoap-1-0 (= ${binary:Version}),
+ ${misc:Depends},
+ ${shlibs:Depends},
 Description: C-Implementation of CoAP - example binaries
  The libcoap provide some example binary files to show the usage of  a CoAP
  Server, CoAP Client and a Resource Directory implementation. These examples
@@ -49,8 +57,12 @@
 Package: libcoap-1-0-dev
 Section: libdevel
 Architecture: any
-Depends: ${misc:Depends}, ${shlibs:Depends},
-  libcoap-1-0 (= ${binary:Version})
+Multi-Arch: same
+Depends:
+ libc6-dev,
+ libcoap-1-0 (= ${binary:Version}),
+ ${misc:Depends},
+ ${shlibs:Depends},
 Description: C-Implementation of CoAP - development files
  Lightweight application-protocol for devices that are constrained their
  resources such as computing power, RF range, memory, bandwidth, or network
@@ -63,8 +75,13 @@
 Package: libcoap-1-0-doc
 Section: doc
 Architecture: all
-Depends: ${misc:Depends}, libjs-jquery
-Recommends: libcoap-1-0-dev (= ${binary:Version}), www-browser
+Multi-Arch: foreign
+Depends:
+ libjs-jquery,
+ ${misc:Depends},
+Recommends:
+ libcoap-1-0-dev (= ${binary:Version}),
+ www-browser,
 Description: C-Implementation of CoAP - HTML based documentation files
  Lightweight application-protocol for devices that are constrained their
  resources such as computing power, RF range, memory, bandwidth, or network
