=== debian/tests/control ===
Tests: tests.sh
Depends: gcc, libcoap-1-0-bin, libcoap-1-0-dev, pkg-config
Restrictions: allow-stderr
